Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 13-09-2009 16:45:54

Fourch
Membre
Distrib. : Sid
Noyau : 2.6.30-2_amd64
(G)UI : Gnome
Inscription : 26-08-2009

Problème avec les autorisations [RESOLU]

Salut à tous

Je ne sais pas si je suis bien dans la bonne partie pour discuter de ce problème. J'hésitais avec la rubrique "Sécurité" mais à mon avis c'est plus un problème lié à un manque de configuration.

Donc voilà mon problème : depuis que je suis passé sous Sid, j'ai des soucis lorsque je souhaite accéder à des services d'administration, comme le réseau ou ajouter des utilisateur. J'ai un message qui me dit que je n'ai pas les droits suffisants. Pourtant, avant la fenêtre d'utilisateurs d'ouvrait, et si je voulais modifier  je devais entrer le code root.

J'ai aussi ce même problème avec le service "autorisations". Mes changements ne sont pas pris en compte.

Voilà j'espère que vous pourrez m'aider. N'hésitez pas si vous nécessitez de plus amples informations. Je suis sous Sid_64 bits avec gnome.

Merci

Dernière modification par Fourch (26-09-2009 01:07:23)

Hors ligne

#2 14-09-2009 03:14:19

martinux_qc
Administrateur
Lieu : Montréal (Québec)
Distrib. : Sid
Noyau : Linux 4.7.0-1-amd64
(G)UI : XFCE 4.12
Inscription : 12-10-2008

Re : Problème avec les autorisations [RESOLU]

Salut

Je viens de vérifier pour le réseau et ajouter des utilisateurs et je peux déverrouiller les fenêtres sans problème. Donc pas de bug de ce côté.

Peux-tu nous dire quelle branche tu utilisais avant de passer à sid (lenny - stable ou squeeze - testing) et comment exactement tu t'y es pris pour passer sous sid : fichier /etc/apt/sources.list, /etc/apt/preferences (si utilisé) et commandes utilisées (ou par synaptic). La migration ne s'est peut-être pas faite correctement.

Martin

"L'éducation vise à former des citoyens pas trop tatas et non pas à envoyer le plus de tatas possible à l'université."
Pierre Foglia (Journaliste à la retraite à La Presse)
Note : au Québec, le mot tata a un sens péjoratif qui sert à désigner une personne un peu idiote ou insignifiante. D'où les expressions familières : Espèce de grand, de gros tata! Être, avoir l'air tata.

Hors ligne

#3 19-09-2009 11:41:36

Fourch
Membre
Distrib. : Sid
Noyau : 2.6.30-2_amd64
(G)UI : Gnome
Inscription : 26-08-2009

Re : Problème avec les autorisations [RESOLU]

Salut Martin.

Alors avant la migration, j'étais sous Squeeze et cela fonctionnait. Et j'ai juste changé les sources dans le sources.lists, sans utiliser de preferences.

Voilà j'espère que cela pourra aider.

Merci

Hors ligne

#4 19-09-2009 13:41:01

phlinux
Membre
Lieu : S-M
Distrib. : Jessie
Noyau : 4.6
(G)UI : Openbox (+Rox+Feh)
Inscription : 10-05-2009

Re : Problème avec les autorisations [RESOLU]

Bjr,
Ce n'est pas un manque de confiance, mais peut être peux-tu poster ici le sources.list que tu utilises ?

Pages perso : feh, omegat, udisks, sa station de travail comme passerelle

Hors ligne

#5 19-09-2009 13:46:04

Fourch
Membre
Distrib. : Sid
Noyau : 2.6.30-2_amd64
(G)UI : Gnome
Inscription : 26-08-2009

Re : Problème avec les autorisations [RESOLU]

Voilà mon sources.list

#deb cdrom:[Debian GNU/Linux 5.0.1 _Lenny_ - Official amd64 CD Binary-1 20090413-02:50]/ squeeze main
#deb cdrom:[Debian GNU/Linux 5.0.1 _Lenny_ - Official amd64 CD Binary-1 20090413-02:50]/ squeeze main

## Debian
deb http://ftp.fr.debian.org/debian/ sid main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ sid main contrib non-free

## Security
deb http://security.debian.org/ sid/updates main
deb-src http://security.debian.org/ sid/updates main

##Volatile
##deb http://volatile.debian.org/debian-volatile squeeze/volatile main
##deb-src http://volatile.debian.org/debian-volatile squeeze/volatile main

## Multimedia
deb http://mirror.home-dn.net/debian-multimedia sid main
deb-src http://mirror.home-dn.net/debian-multimedia sid main

## Wine HQ
deb http://www.lamaresh.net/apt sid main

Hors ligne

#6 19-09-2009 14:23:11

phlinux
Membre
Lieu : S-M
Distrib. : Jessie
Noyau : 4.6
(G)UI : Openbox (+Rox+Feh)
Inscription : 10-05-2009

Re : Problème avec les autorisations [RESOLU]

re-
je ne sais pas si ça a causé des problèmes, mais d'après le wiki :
- security : au maximum testing, mais pas sid
-  le volatil c'est uniquement du stable

Mais bon, de là à perdre des droits...

Pages perso : feh, omegat, udisks, sa station de travail comme passerelle

Hors ligne

#7 19-09-2009 16:34:45

Fourch
Membre
Distrib. : Sid
Noyau : 2.6.30-2_amd64
(G)UI : Gnome
Inscription : 26-08-2009

Re : Problème avec les autorisations [RESOLU]

Merci phlinux

J'ai donc changé mon sources.list en mettant testing à security et stable à volatile.
Je fais une update and cie et je dl 500mo. Je te tiens au courant quand ça se finit. SI ça se trouve, ça va régler mon problème.

Hors ligne

#8 19-09-2009 17:07:47

Fourch
Membre
Distrib. : Sid
Noyau : 2.6.30-2_amd64
(G)UI : Gnome
Inscription : 26-08-2009

Re : Problème avec les autorisations [RESOLU]

Bon bah Phlinux, jte remercie beaucoup. Mon problème est réglé. Il faudrait marquer le post en Résolu.

Dernière modification par Fourch (19-09-2009 17:09:02)

Hors ligne

#9 19-09-2009 17:36:34

phlinux
Membre
Lieu : S-M
Distrib. : Jessie
Noyau : 4.6
(G)UI : Openbox (+Rox+Feh)
Inscription : 10-05-2009

Re : Problème avec les autorisations [RESOLU]

re-
Content pour toi.

Pour le résolu : modifier le premier post et mettre [Résolu] dans le titre

@+

Pages perso : feh, omegat, udisks, sa station de travail comme passerelle

Hors ligne

#10 20-09-2009 14:37:53

Fourch
Membre
Distrib. : Sid
Noyau : 2.6.30-2_amd64
(G)UI : Gnome
Inscription : 26-08-2009

Re : Problème avec les autorisations [RESOLU]

Bon j'ai crié victoire trop tôt... Lorsque j'ai reboot, je n'avais plus l'accélération 3D ni les autorisations, va savoir pourquoi. J'ai alors vu le update notifier de gnome, j'ai fais la maj et les autorisations sont revenues. Mais je n'ai plus l'accélération 3D. J'ai réinstallé les fglrx-drivers et tout, mais toujours pas d'accélération 3D. Pourtant, mon xorg.conf n'a pas changé. Je le post ici au cas où

Section "ServerLayout"
        Identifier     "aticonfig Layout"
        Screen      0  "aticonfig-Screen[0]-0" 0 0
EndSection

Section "Files"
EndSection

Section "Module"
EndSection

Section "Monitor"
        Identifier   "aticonfig-Monitor[0]-0"
        Option      "VendorName" "ATI Proprietary Driver"
        Option      "ModelName" "Generic Autodetecting Monitor"
        Option      "DPMS" "true"
EndSection

Section "Device"
        Identifier  "aticonfig-Device[0]-0"
        Driver      "fglrx"
        BusID       "PCI:1:0:0"
EndSection

Section "Screen"
        Identifier "aticonfig-Screen[0]-0"
        Device     "aticonfig-Device[0]-0"
        Monitor    "aticonfig-Monitor[0]-0"
        DefaultDepth     24
        SubSection "Display"
                Viewport   0 0
                Depth     24
        EndSubSection
EndSection


Il est un peu lite j'avoue, mais il marchait très bien.

ah aussi, voilà le résultat d'un glxinfo

glxinfo
name of display: :0.0
X Error of failed request:  BadRequest (invalid request code or no such operation)
  Major opcode of failed request:  135 (GLX)
  Minor opcode of failed request:  19 (X_GLXQueryServerString)
  Serial number of failed request:  15
  Current serial number in output stream:  15


En espérant que ça peut aider. C'est bien ma veine avec Debian, résoudre un problème pour en voir un autre émerger.

Hors ligne

#11 21-09-2009 02:16:32

martinux_qc
Administrateur
Lieu : Montréal (Québec)
Distrib. : Sid
Noyau : Linux 4.7.0-1-amd64
(G)UI : XFCE 4.12
Inscription : 12-10-2008

Re : Problème avec les autorisations [RESOLU]

Fourch a écrit :

Merci phlinux

J'ai donc changé mon sources.list en mettant testing à security et stable à volatile.
Je fais une update and cie et je dl 500mo. Je te tiens au courant quand ça se finit. SI ça se trouve, ça va régler mon problème.


Un peu hors sujet. Je suis vraiment surpris de voir que le simple fait de modifier le sources.list pour les dépôts security et volatile entraîne une mise à jour des paquets de 500mo. C'est beaucoup il me semble.

Je suis moi aussi sous sid avec un AMD64. Tu pourrais utiliser un fichier sources.list plus complet qui serait utile en cas de pépin. J'utilise celui que l'on trouve dans le wiki. Tu peux prendre le même en enlevant tout ce qui concerne experimental et en ajoutant ton autre dépôt (celui pour wine). Dans ce cas pas besoin de fichier preferences. Si tu modifies ton sources.list, tu peux commencer par faire, après un update, une simulation avec un apt-get -s upgrade ou un aptitude -s safe-upgrade pour voir les changement que cela apporte. Si tu n'est pas certain de ton goût tu peux laisser faire et venir demander conseil.

Pour la 3D, on peut lire sur la page du site de debian pour le paquet flgx-driver, que ce paquet fourni la 2D seulement. Pour la 3D, il faut compiler le module pour son noyau. Donc, en faisant tes mises à jour, tu as du changer de noyau et voilà plus de 3D. Je ne connais pas les cartes ATI, mais il y a cette page qui pourrait te servir. À moins que d'autres ont une meilleurs solution que celle proposé dans ce tuto. Normalement, avec la branche stable, le noyaux est compilé avec le bon module. Pour testing et sid ne c'est pas le cas. Il faut le faire soit même.

Dernière modification par martinux_qc (21-09-2009 03:08:41)


"L'éducation vise à former des citoyens pas trop tatas et non pas à envoyer le plus de tatas possible à l'université."
Pierre Foglia (Journaliste à la retraite à La Presse)
Note : au Québec, le mot tata a un sens péjoratif qui sert à désigner une personne un peu idiote ou insignifiante. D'où les expressions familières : Espèce de grand, de gros tata! Être, avoir l'air tata.

Hors ligne

#12 21-09-2009 09:30:32

Fourch
Membre
Distrib. : Sid
Noyau : 2.6.30-2_amd64
(G)UI : Gnome
Inscription : 26-08-2009

Re : Problème avec les autorisations [RESOLU]

Merci martin, je testerai ça ce soir quand je serais chez moi au calme. Pour ce qui est de la 3D, je n'en avais pas quand j'étais sous testing (suite à plein de problèmes) et lorsque je suis passé sous sid, je l'ai eu comme par magie, sans compiler bizarrement.

Hors ligne

#13 26-09-2009 01:07:02

Fourch
Membre
Distrib. : Sid
Noyau : 2.6.30-2_amd64
(G)UI : Gnome
Inscription : 26-08-2009

Re : Problème avec les autorisations [RESOLU]

Bon bah merci tout le monde. J'ai réglé mon problème. J'ai utilisé le sources.list du wiki, en gardant seulement le volatile de stable et le security de testing. Ensuite, j'ai pris les .deb des drivers 9.9 dispo sur le site ati. Et tout est rentré dans l'ordre.

Merci encore.

Hors ligne

Pied de page des forums